package teralg;

/**
 * Térinformatikai algoritmusok
 * 4. beadandó: Bináris fa magassága
 * @author Máté Cserép <mcserep@outlook.com>
 */
public class TreeHeight {
    public static void main(String[] args) {
        BinarySearchTree tree = new BinarySearchTree();
        tree.insert(10);
        tree.insert(12);
        tree.insert(3);
        tree.insert(15);
        tree.insert(8);
        tree.insert(5);
        tree.insert(13);
        tree.insert(4);
        tree.insert(6);
        tree.insert(14);
        tree.insert(7);
        tree.insert(1);
        tree.insert(2);
        tree.insert(11);
        tree.insert(9);
        tree.insert(8);
        tree.inorder();
        
        for(int i = 0; i < 20; ++ i)
            System.out.println(i + ": " + (tree.find(i) ? "igen" : "nem"));
        System.out.println("Magasság: " + tree.height());
        
        tree.delete(7);
        tree.delete(13);
        tree.delete(3);
        tree.delete(10);
        tree.delete(3);
        tree.inorder();
        
        for(int i = 0; i < 20; ++ i)
            System.out.println(i + ": " + (tree.find(i) ? "igen" : "nem"));        
        System.out.println("Magasság: " + tree.height());
    }
}
